import { __awaiter } from "tslib";
/**
 * registerCommonZeroComponents.
 * @public
 */
export const registerCommonZeroComponents = () => __awaiter(void 0, void 0, void 0, function* () {
    const { provideDesignSystem, zeroAnchor, zeroButton, zeroCard, zeroCheckbox, zeroDesignSystemProvider, zeroListboxOption, zeroProgressRing, zeroSelect, zeroTextField, } = yield yield import(
    /* webpackChunkName: "foundation-zero" */
    '@genesislcap/foundation-zero');
    /**
     * Register the components the app is using with the system.
     */
    provideDesignSystem().register(
    /**
     * Design system provider element used to declaratively apply zero config to every dom node in the host tree.
     */
    zeroDesignSystemProvider(), 
    /**
     * Common across most routes, so batch register these lightweight components upfront.
     */
    zeroAnchor(), zeroButton(), zeroCard(), zeroCheckbox(), zeroListboxOption(), zeroProgressRing(), zeroSelect(), zeroTextField());
});
